let
  nixpkgs = import <nixpkgs> {};
  inherit (nixpkgs) stdenv fetchurl which;

  enonic = stdenv.mkDerivation {
    name = "enonic";
    src = fetchurl {
      url = "https://github.com/enonic/cli-enonic/releases/download/1.5.0/enonic_1.5.0_Linux_64-bit.tar.gz";
      sha256 = "91fc05c22ff9331e747f4df856ce037ad7d8f769bb256e9be6514d70c9c17b8e";
    };

    unpackCmd = ''
      mkdir enonic
      tar xvzf $curSrc -C enonic
    '';

    nativeBuildInputs = with nixpkgs; [
      autoPatchelfHook
    ];

    # runtimeDependencies = with nixpkgs; [
    #   cpio file which unzip zip perl zlib cups freetype alsaLib libjpeg giflib
    #   libpng zlib lcms2 xorg.libX11 xorg.libICE xorg.libXrender xorg.libXext xorg.libXtst xorg.libXt xorg.libXtst
    #   xorg.libXi xorg.libXinerama xorg.libXcursor xorg.libXrandr fontconfig openjdk13-bootstrap
    # ];
    runtimeDependencies = with nixpkgs; [
      autoPatchelfHook
      cpio file which unzip zip perl zlib cups freetype alsaLib libjpeg giflib autoconf
      libpng zlib lcms2 xorg.libX11 xorg.libICE xorg.libXrender xorg.libXext xorg.libXtst xorg.libXt xorg.libXtst
      xorg.libXi xorg.libXinerama xorg.libXcursor xorg.libXrandr fontconfig
    ];

    installPhase = ''
      mkdir -p "$out/bin"
      install enonic $out/bin/enonic
    '';
  };

in
with (import <nixpkgs> {});
mkShell {
  buildInputs = [
    python2
    libGL
    xorg.libX11
    xorg.libXxf86vm
    xorg.libXi
    expect
    zlib
    gcc
    zsh
    enonic
    jdk11
    autoconf
    autoreconfHook
    pkgconfig
    nasm
    mozjpeg
  ];
}
